Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 414135 - =kde-misc/krusader-2.4.0_beta1 not compiles with gcc-4.7
Summary: =kde-misc/krusader-2.4.0_beta1 not compiles with gcc-4.7
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] KDE (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo KDE team
URL: https://bugs.kde.org/show_bug.cgi?id=...
Whiteboard: tracking upstream
Keywords:
Depends on:
Blocks: gcc-4.7
  Show dependency tree
 
Reported: 2012-04-30 16:10 UTC by David Kredba
Modified: 2012-05-02 20:17 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
krusader-2.4.0-gcc-4.7.patch (krusader-2.4.0-gcc-4.7.patch,818 bytes, patch)
2012-04-30 18:13 UTC, Michael Palimaka (kensington)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Kredba 2012-04-30 16:10:30 UTC
/var/tmp/portage/kde-misc/krusader-2.4.0_beta1/work/krusader-2.4.0-beta1/krusader/UserAction/expander.cpp:234:1: warning:   by ‘virtual TagStr
ing {anonymous}::exp_View::expFunc(const KrPanel*, const QStringList&, const bool&, Expander&) const’ [-Woverloaded-virtual]
In file included from /var/tmp/portage/kde-misc/krusader-2.4.0_beta1/work/krusader-2.4.0-beta1/krusader/UserAction/expander.h:27:0,
                 from /var/tmp/portage/kde-misc/krusader-2.4.0_beta1/work/krusader-2.4.0-beta1/krusader/UserAction/expander.cpp:20:
/var/tmp/portage/kde-misc/krusader-2.4.0_beta1/work/krusader-2.4.0-beta1/krusader/UserAction/tstring.h: In instantiation of ‘void TagString_t<
T>::insertTag(uint, const T&) [with T = QStringList; uint = unsigned int]’:
/var/tmp/portage/kde-misc/krusader-2.4.0_beta1/work/krusader-2.4.0-beta1/krusader/UserAction/expander.cpp:768:23:   required from here
/var/tmp/portage/kde-misc/krusader-2.4.0_beta1/work/krusader-2.4.0-beta1/krusader/UserAction/tstring.h:137:5: error: ‘make_pair’ was not decla
red in this scope, and no declarations were found by argument-dependent lookup at the point of instantiation [-fpermissive]
In file included from /usr/lib/gcc/x86_64-pc-linux-gnu/4.7.0/include/g++-v4/utility:72:0,
                 from /var/tmp/portage/kde-misc/krusader-2.4.0_beta1/work/krusader-2.4.0-beta1/krusader/UserAction/tstring.h:22,
                 from /var/tmp/portage/kde-misc/krusader-2.4.0_beta1/work/krusader-2.4.0-beta1/krusader/UserAction/expander.h:27,
                 from /var/tmp/portage/kde-misc/krusader-2.4.0_beta1/work/krusader-2.4.0-beta1/krusader/UserAction/expander.cpp:20:
/usr/lib/gcc/x86_64-pc-linux-gnu/4.7.0/include/g++-v4/bits/stl_pair.h:284:5: note: ‘template<class _T1, class _T2> std::pair<_T1, _T2> std::ma
ke_pair(_T1, _T2)’ declared here, later in the translation unit
In file included from /var/tmp/portage/kde-misc/krusader-2.4.0_beta1/work/krusader-2.4.0-beta1/krusader/UserAction/expander.h:27:0,
                 from /var/tmp/portage/kde-misc/krusader-2.4.0_beta1/work/krusader-2.4.0-beta1/krusader/UserAction/expander.cpp:20:
/var/tmp/portage/kde-misc/krusader-2.4.0_beta1/work/krusader-2.4.0-beta1/krusader/UserAction/tstring.h: In instantiation of ‘TagString_t<T>& T
agString_t<T>::operator+=(const TagString_t<T>&) [with T = QStringList; TagString_t<T> = TagString_t<QStringList>]’:
/var/tmp/portage/kde-misc/krusader-2.4.0_beta1/work/krusader-2.4.0-beta1/krusader/UserAction/expander.cpp:1045:54:   required from here
/var/tmp/portage/kde-misc/krusader-2.4.0_beta1/work/krusader-2.4.0-beta1/krusader/UserAction/tstring.h:128:9: error: ‘make_pair’ was not decla
red in this scope, and no declarations were found by argument-dependent lookup at the point of instantiation [-fpermissive]
In file included from /usr/lib/gcc/x86_64-pc-linux-gnu/4.7.0/include/g++-v4/utility:72:0,
                 from /var/tmp/portage/kde-misc/krusader-2.4.0_beta1/work/krusader-2.4.0-beta1/krusader/UserAction/tstring.h:22,
                 from /var/tmp/portage/kde-misc/krusader-2.4.0_beta1/work/krusader-2.4.0-beta1/krusader/UserAction/expander.h:27,
                 from /var/tmp/portage/kde-misc/krusader-2.4.0_beta1/work/krusader-2.4.0-beta1/krusader/UserAction/expander.cpp:20:
/usr/lib/gcc/x86_64-pc-linux-gnu/4.7.0/include/g++-v4/bits/stl_pair.h:284:5: note: ‘template<class _T1, class _T2> std::pair<_T1, _T2> std::ma
ke_pair(_T1, _T2)’ declared here, later in the translation unit
make[2]: *** [krusader/UserAction/CMakeFiles/UserAction.dir/expander.o] Error 1
make[2]: *** Waiting for unfinished jobs....
Comment 1 David Kredba 2012-04-30 16:11:00 UTC
Portage 2.2.0_alpha101 (default/linux/amd64/10.0/desktop, gcc-4.7.0, glibc-2.15-r1, 3.3.4-gentoo x86_64)                                      
=================================================================                                                                             
System uname: Linux-3.3.4-gentoo-x86_64-Intel-R-_Core-TM-2_Quad_CPU_Q9550_@_2.83GHz-with-gentoo-2.1                                           
Timestamp of tree: Sat, 28 Apr 2012 06:00:01 +0000                                                                                            
app-shells/bash:          4.2_p24-r1                                                                                                          
dev-java/java-config:     2.1.11-r3                                                                                                           
dev-lang/python:          2.7.3-r1, 3.2.3                                                                                                     
dev-util/cmake:           2.8.7-r5                                                                                                            
dev-util/pkgconfig:       0.26                                                                                                                
sys-apps/baselayout:      2.1                                                                                                                 
sys-apps/openrc:          0.9.9.3                                                                                                             
sys-apps/sandbox:         2.5                                                                                                                 
sys-devel/autoconf:       2.13, 2.69                                                                                                          
sys-devel/automake:       1.9.6-r3, 1.10.3, 1.11.5                                                                                            
sys-devel/binutils:       2.22-r1                                                                                                             
sys-devel/gcc:            4.6.3, 4.7.0                                                                                                        
sys-devel/gcc-config:     1.7
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r3
sys-kernel/linux-headers: 3.3 (virtual/os-headers)
sys-libs/glibc:           2.15-r1
Repositories: gentoo
Installed sets: 
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -ggdb -march=native"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/themes/oxygen-gtk/gtk-2.0 /var/bind /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.4/ext-active/ /etc/php/cgi-php5.4/ext-active/ /etc/php/cli-php5.4/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe -ggdb -march=native"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--quiet-build=n"
FEATURES="assume-digests binpkg-logs compressdebug distlocks ebuild-locks fixlafiles news parallel-fetch preserve-libs protect-owned sandbox sfperms splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans userfetch xattr"
FFLAGS="-O2 -pipe -ggdb -march=native"
GENTOO_MIRRORS="ftp://gentoo.mirror.web4u.cz/"
LANG="cs_CZ.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="cs en"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_COMPRESS="echo"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 berkdb bluetooth branding bzip2 cairo caps cdda cdr cli consolekit cracklib crypt cups cxx dbus dri dts dvd dvdr emboss encode exif fam firefox flac fortran gdbm gdu gif gmp gpm gtk iconv idn ithreads java jpeg jpeg2k kde lcms ldap libnotify lzma mad mmx mng modules mp3 mp4 mpeg mudflap multilib ncurses nls nptl nptlonly objc objc++ objc-gc odbc ogg openexr opengl openmp pam pango pcre pdf png policykit ppds pppd qt3support qt4 quad readline samba sasl sdl session slang speex spell sqlite sse sse2 sse4_1 ssl ssse3 startup-notification svg sysfs tcl tcpd threads tiff tk truetype udev unicode usb v4l vorbis wavpack wxwidgets x264 xattr xcb xinerama xml xorg xv xvid xvmc zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" APACHE2_MPMS="worker" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2 canon hp215 sony_dscf1 sony_dscf55" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" FFTOOLS="aviocat cws2fws ffeval graph2dot ismindex pktdumper qt-faststart trasher" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" GRUB_PLATFORMS="pc" INPUT_DEVICES="evdev keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="cs en" LIRC_DEVICES="inputlirc pctv hauppauge hauppauge_dvb devinput" PHP_TARGETS="php5-4" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="nouveau" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 2 Michael Palimaka (kensington) gentoo-dev 2012-04-30 18:13:03 UTC
Created attachment 310515 [details, diff]
krusader-2.4.0-gcc-4.7.patch

Are you able to test this patch to see if it fixes the issue?

For tracking purposes, note that there is also a bug report upstream: https://bugs.kde.org/show_bug.cgi?id=298387
Comment 3 Michael Palimaka (kensington) gentoo-dev 2012-05-02 17:18:28 UTC
This has been fixed upstream: http://quickgit.kde.org/index.php?p=krusader.git&a=commitdiff&h=ef3edb37ec8390a3128a4a22f5fad1238d1fbe88
Comment 4 Johannes Huber gentoo-dev 2012-05-02 20:17:23 UTC
Thank you all.

+  02 May 2012; Johannes Huber <johu@gentoo.org>
+  +files/krusader-2.4.0_beta1-gcc47.patch, +krusader-2.4.0_beta1-r1.ebuild:
+  Revision bump adds upstream patch to fix build with gcc47 spotted by Michael
+  (kensington) <gentoo@scribeofthenile.com> wrt bug #414135.